using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.TeamFoundation.Client;
using GalaSoft.MvvmLight.Messaging;
using Fissum.TrayApp.Messages;
using Fissum.Core.Repository;
using Fissum.TrayApp.Lib;
using Fissum.Core.Configuration;
using Microsoft.TeamFoundation.VersionControl.Client;
using Microsoft.TeamFoundation.WorkItemTracking.Client;
using Fissum.Core;

namespace Fissum.TrayApp.Model
{
    internal class WorkItemModelId : IEquatable<WorkItemModelId>
    {
        public int Id { get; private set; }
        public TPCModel TPCModel { get; private set; }

        /// <summary>
        /// Initializes a new instance of the WorkItemModelId class.
        /// </summary>
        public WorkItemModelId(int id, TPCModel tpcModel)
        {
            if (tpcModel == null)
                throw new ArgumentNullException("tpcModel", "tpcModel is null.");
            Id = id;
            TPCModel = tpcModel;
        }

        #region IEquatable<WorkItemModelId> Members

        public bool Equals(WorkItemModelId other)
        {
            if (other == null)
                return false;

            return other.Id == Id && other.TPCModel.Uri == TPCModel.Uri;
        }

        #endregion

        public override bool Equals(object obj)
        {
            return Equals(obj as WorkItemModelId);
        }

        public override int GetHashCode()
        {
            return Id ^ TPCModel.Uri.GetHashCode();
        }
    }
}
