using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Fissum.UI.Core;
using System.Windows.Input;
using System.Windows.Threading;
using System.Collections.ObjectModel;
using Fissum.TrayApp.Lib;
using System.Text.RegularExpressions;
using Microsoft.TeamFoundation.Client;
using Microsoft.TeamFoundation.Framework.Common;
using Microsoft.TeamFoundation.Server;
using Microsoft.TeamFoundation.WorkItemTracking.Client;
using Microsoft.TeamFoundation.VersionControl.Client;

namespace Fissum.TrayApp.Model
{
    internal class QueryFolderModel
    {
        private static readonly log4net.ILog _log = log4net.LogManager.GetLogger(typeof(QueryFolderModel));

        private const string Separator = "/";

        private ProjectModel _project;
        public string Name { get; set; }
        public List<QueryFolderModel> SubFolderList { get; private set; }
        public List<QueryModel> QueryList { get; private set; }
        public string FullName { get; set; }

        public QueryFolderModel(ProjectModel project, QueryFolder qf, QueryFolderModel parent)
        {
            if (project == null)
                throw new ArgumentNullException("project", "project is null.");

            if (qf != null)
            {
                Name = qf.Name;
                if (parent != null)
                {
                    FullName = String.Format("{0}{1}{2}", parent.FullName, Name, Separator);
                }
                else
                {
                    FullName = Name;
                }
            }
            else
            {
                Name = string.Empty;
                FullName = Separator;
            }
           
            _project = project;
            SubFolderList = new List<QueryFolderModel>();
            QueryList = new List<QueryModel>();
        }
    }
}
