﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.TeamFoundation.Client;
using Microsoft.Practices.Unity;

namespace Fissum.Core.Repository
{
    public class TPCRepository
    {
        private Dictionary<Uri, TfsTeamProjectCollection> _tpcDictionary;

        /// <summary>
        /// Initializes a new instance of the TPCRepository class.
        /// </summary>
        private TPCRepository()
        {
            _tpcDictionary = new Dictionary<Uri, TfsTeamProjectCollection>();
        }



        public TfsTeamProjectCollection this[Uri uri]
        {
            get
            {
                lock (_tpcDictionary)
                {
                    TfsTeamProjectCollection result;

                    if (!_tpcDictionary.TryGetValue(uri, out result))
                    {
                        result = new TfsTeamProjectCollection(uri);
                        _tpcDictionary.Add(uri, result);
                    }
                    return result;
                }
            }
        }


        #region statics

        private static TPCRepository _repository;

        static TPCRepository()
        {
            _repository = new TPCRepository();
        }


        public static TPCRepository Current
        {
            get
            {
                return _repository;
            }
        }


        #endregion

    }
}