﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using System.Windows;
using Fissum.UI.Core.HG;
using Fissum.TrayApp.Model;

namespace Fissum.TrayApp.Lib
{
    [ValueConversion(typeof(bool), typeof(Visibility), ParameterType = typeof(string))]
    class BooleanVisibilityConverter : IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            var boolValue = (bool)value;

            if (string.Compare(parameter as string, "not", true) == 0)
            {
                boolValue = !boolValue;
            }
            return boolValue ? Visibility.Visible : Visibility.Collapsed;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion
    }

  
}
