using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace Fissum.UI.Core.HG
{
    public class GridItemDataTypeDescriptor : System.ComponentModel.CustomTypeDescriptor
    {
        PropertyDescriptor[] _properties;

        /// <summary>
        /// Initializes a new instance of the GridItemCustomTypeDescriptor class.
        /// </summary>
        /// <param name="properties"></param>
        public GridItemDataTypeDescriptor(PropertyDescriptor[] properties)
        {
            _properties = properties;
        }

        public override PropertyDescriptorCollection GetProperties(Attribute[] attributes)
        {

            var descriptors = new List<PropertyDescriptor>();
            foreach (var descriptor in _properties)
            {
                bool include = true;
                foreach (var searchAttribute in attributes)
                {
                    if (descriptor.Attributes.Contains(searchAttribute))
                    {
                        include = true;
                        break;
                    }
                }
                if (include)
                {
                    descriptors.Add(descriptor);
                }
            }
            return new PropertyDescriptorCollection(descriptors.ToArray());
        }


        public override PropertyDescriptorCollection GetProperties()
        {
            return new PropertyDescriptorCollection(_properties);
        }
    }
}
