using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.TeamFoundation.VersionControl.Client;

namespace Fissum.Addin.Toolbox.ViewModel
{
    public class WorkspaceInfo
    {
        public string Name { get; set; }
        public bool ContainsPendingChanges { get; set; }
        internal Workspace TFSWorkspace { get; set; }
        public DateTime LastAccessDate
        {

            get
            {
                return TFSWorkspace.LastAccessDate;
            }
        }

        public List<MappingInfo> Mappings
        {
            get
            {
                return (from m in TFSWorkspace.Folders
                        select new MappingInfo()
                        {
                            LocalPath = m.LocalItem,
                            ServerPath = m.ServerItem,
                            IsCloaked = m.IsCloaked
                        }).ToList();
            }
        }
    }

    public class MappingInfo
    {
        public string LocalPath { get; set; }
        public string ServerPath { get; set; }
        public bool IsCloaked { get; set; }
    }
}
