using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.TeamFoundation.Client;
using System.Xml.Linq;
using System.IO;
using System.Diagnostics;

namespace Fissum.Core
{
    internal static class XMLUtilityExtension
    {
        public static string GetValue(this XElement element, string defaultValue = null)
        {
            if (element == null)
            {
                return defaultValue;
            }

            return element.Value;
        }

        public static string GetValue(this XElement element, string attributeName, string defaultValue = null)
        {
            if (element == null)
            {
                return defaultValue;
            }
            var attrib = element.Attribute(attributeName);
            if (attrib == null)
            {
                return defaultValue;
            }

            return attrib.Value;
        }

        public static int GetValue(this XElement element, int defaultValue = 0)
        {
            if (element == null)
            {
                return defaultValue;
            }

            int result = defaultValue;

            int.TryParse(element.Value, out result);

            return result;
        }

        public static int GetValue(this XElement element, string attributeName, int defaultValue = 0)
        {
            if (element == null)
            {
                return defaultValue;
            }

            var attrib = element.Attribute(attributeName);
            if (attrib == null)
            {
                return defaultValue;
            }

            int result = defaultValue;

            int.TryParse(attrib.Value, out result);

            return result;
        }
    }
}
