using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.TeamFoundation.Client;
using Microsoft.TeamFoundation.VersionControl.Client;
using Microsoft.TeamFoundation.WorkItemTracking.Client;

namespace Fissum.Models
{
    public class TPCTFSObjects
    {
        TPCModel _model;

        /// <summary>
        /// Initializes a new instance of the TFSObjects class.
        /// </summary>
        /// <param name="model"></param>
        public TPCTFSObjects(TPCModel model)
        {
            if (model == null)
                throw new ArgumentNullException("model", "model is null.");
            _model = model;
        }
        public TfsTeamProjectCollection ProjectCollection
        {
            get
            {
                return _model.TeamProjectCollection;
            }
        }

        public WorkItemStore WorkItemStore
        {
            get
            {
                return _model.WorkItemStore;
            }
        }


        public VersionControlServer VersionControlServer
        {
            get
            {
                return _model.VersionControlServer;
            }

        }

    }
}
