﻿using System;
using System.Windows;
using System.Windows.Data;

namespace Fissum.TrayApp.Lib
{
    [ValueConversion(typeof(bool), typeof(Visibility), ParameterType = typeof(string))]
    class BooleanVisibilityConverter : IValueConverter
    {
        public Visibility NotVisibleVisibility { get; set; }

        public BooleanVisibilityConverter()
        {
            NotVisibleVisibility = Visibility.Collapsed;
        }
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            var boolValue = (bool)value;

            if (string.Compare(parameter as string, "not", true) == 0)
            {
                boolValue = !boolValue;
            }
            return boolValue ? Visibility.Visible : NotVisibleVisibility;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion
    }

  
}
