using System;
using Fissum.Core.Repository;

namespace Fissum.TrayApp.Lib
{
    internal class UIConfiguration
    {
        private static UIConfiguration _instance;
        private readonly WindowConfigurationBase _mainWindowConfiguration;
        private readonly RibbonConfiguration _ribbonConfiguration;


        static UIConfiguration()
        {
            _instance = new UIConfiguration();
        }

        public static UIConfiguration Current
        {
            get
            {
                return _instance;
            }
        }

        /// <summary>
        /// Initializes a new instance of the UIConfiguration class.
        /// </summary>
        private UIConfiguration()
        {
            _mainWindowConfiguration = new WindowConfigurationBase(ConfigurationRepository.Current.Configuration, "MAIN", 300, 500);
            _ribbonConfiguration = new RibbonConfiguration(ConfigurationRepository.Current.Configuration);
        }

        internal RibbonConfiguration RibbonConfiguration
        {
            get
            {
                return _ribbonConfiguration;
            }
        }

        public WindowConfigurationBase MainWindowConfiguration
        {
            get
            {
                return _mainWindowConfiguration;
            }
        }
    }
}
