﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using Fissum.UI.Core.ViewModel;

namespace Fissum.TrayApp.Windows
{
    /// <summary>
    /// Interaction logic for DialogWindow.xaml
    /// </summary>
    internal partial class DialogWindow : System.Windows.Window, IDialogWindow
    {
        DialogViewModelCore _viewModelCore;


        public DialogWindow()
        {
            InitializeComponent();
        }

        #region IDialogWindow Members


        public IDialogViewModel ViewModel
        {
            get
            {
                if (_viewModelCore == null)
                    return null;
                return _viewModelCore.ViewModel;             
            }
            set
            {
                _viewModelCore = new DialogViewModelCore(value);
                DataContext = _viewModelCore;
                _viewModelCore.ViewModel.DialogWindow = this;
            }
        }



        #endregion


        class DialogViewModelCore
        {
            public IDialogViewModel ViewModel { get; private set; }

            /// <summary>
            /// Initializes a new instance of the DialogViewModelCore class.
            /// </summary>
            public DialogViewModelCore(IDialogViewModel viewModel)
            {
                ViewModel = viewModel;
            }
        }
    }
}
