﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using System.Windows;


namespace Fissum.UI.Core.TreeView
{
    public class TreeViewEx: System.Windows.Controls.TreeView
    {
        public static readonly DependencyProperty SelectedTreeViewItemProperty = DependencyProperty.Register("SelectedTreeViewItem", typeof(TreeViewItemBase), typeof(TreeViewEx), new UIPropertyMetadata(null, new PropertyChangedCallback(OnSelectedTreeViewItemChanged)));

  
        private static void OnSelectedTreeViewItemChanged(DependencyObject o, DependencyPropertyChangedEventArgs e)
        {
            TreeViewEx treeViewEx = o as TreeViewEx;
            if (treeViewEx != null)
                treeViewEx.OnSelectedTreeViewItemChanged((TreeViewItemBase)e.OldValue, (TreeViewItemBase)e.NewValue);
        }

        protected virtual TreeViewItem OnCoerceSelectedTreeViewItem(TreeViewItem value)
        {
            // TODO: Keep the proposed value within the desired range.
            return value;
        }

        protected virtual void OnSelectedTreeViewItemChanged(TreeViewItemBase oldValue, TreeViewItemBase newValue)
        {
          
        }

        public TreeViewItemBase SelectedTreeViewItem
        {
            // IMPORTANT: To maintain parity between setting a property in XAML and procedural code, do not touch the getter and setter inside this dependency property!
            get
            {
                return (TreeViewItemBase)GetValue(SelectedTreeViewItemProperty);
            }
            set
            {
                SetValue(SelectedTreeViewItemProperty, value);
            }
        }
        

        /// <summary>
        /// Initializes a new instance of the TreeViewEx class.
        /// </summary>
        public TreeViewEx()
        {
            this.SelectedItemChanged += new RoutedPropertyChangedEventHandler<object>(TreeViewEx_SelectedItemChanged);
        }

        void TreeViewEx_SelectedItemChanged(object sender, RoutedPropertyChangedEventArgs<object> e)
        {
            var item = e.NewValue as TreeViewItemBase;

            SelectedTreeViewItem = item;
        }
    }
}
