using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Fissum.Linq.Wiql;

namespace Test_Fissum.Linq
{
    [TestClass]
    public class WIQLConstruction
    {
        [TestMethod]
        public void ConvertToWIQ_Today()
        {
            Assert.AreEqual("@today", ValueStatement.Today.ToString());
        }

        [TestMethod]
        public void ConvertToWIQ_Today_Minus()
        {
            Assert.AreEqual("@today-5", ValueStatement.CreateToday(-5).ToString());
        }


        [TestMethod]
        public void ConvertToWIQ_Today_Plus()
        {
            Assert.AreEqual("@today+5", ValueStatement.CreateToday(5).ToString());
        }

        [TestMethod]
        public void ConvertToWIQ_Me()
        {
            Assert.AreEqual("@Me", ValueStatement.Me.ToString());
        }

        [TestMethod]
        public void ConvertToWIQ_Project()
        {
            Assert.AreEqual("@project", ValueStatement.Project.ToString());
        }

        [TestMethod]
        public void ConvertToWIQ_Integer()
        {
            Assert.AreEqual("4", ValueStatement.Create(4).ToString());
        }

        [TestMethod]
        public void ConvertToWIQ_String()
        {
            Assert.AreEqual("'foo'", ValueStatement.Create("foo").ToString());
        }

        [TestMethod]
        public void ConvertToWIQ_String_WithQuote()
        {
            Assert.AreEqual("'''hello'''", ValueStatement.Create("'hello'").ToString());
        }
        
        [TestMethod]
        public void ConvertToWIQ_List()
        {
            Assert.AreEqual("(4,5,6,'foo')",
                ValueStatement.Create(
                    ValueStatement.Create(4),
                    ValueStatement.Create(5),
                    ValueStatement.Create(6),
                    ValueStatement.Create("foo")).ToString());
        }

    }
}
