using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Text;
using Fissum.TeamSystem;
using System.Collections;

namespace Fissum.Core
{
    public class WorkItemObjectComparer : IComparer, IComparer<WorkItemObject>
    {
        private WorkItemFieldDefinition _field;

        private bool _compareAscending;

        public bool CompareAscending
        {
            get
            {
                return _compareAscending;
            }
            set
            {
                if (_compareAscending == value)
                {
                    return;
                }
                _compareAscending = value;
            }
        }

        public WorkItemFieldDefinition Field
        {
            get
            {
                return _field;
            }
            set
            {
                _field = value;
            }
        }




        #region IComparer Members

        public int Compare(object x, object y)
        {         
            WorkItemObject wiX = x as WorkItemObject;
            WorkItemObject wiY = y as WorkItemObject;

            return Compare(wiX, wiY);
        }

        #endregion

        #region IComparer<WorkItemObject> Members

        public int Compare(WorkItemObject x, WorkItemObject y)
        {
            if (_field == null)
            {
                return 0;
            }

            IComparable xCompare = x[_field.Name] as IComparable;
            IComparable yCompare = y[_field.Name] as IComparable;

            int result;

            result = xCompare.CompareTo(yCompare);

            if (!_compareAscending)
            {
                return -result;
            }
            return result;
        }

        #endregion
    }
}
