﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Fissum.TeamSystem;
using System.Text.RegularExpressions;

namespace Fissum.Model.BuilderUI
{
    internal class WorkItemInfo
    {
        public bool Selected { get; set; }
        public string WITypeName { get { return WIType.Name; } }
        public string ClassName { get; set; }
        public WorkItemType WIType { get; set; }

        public List<PropertyInfo> PropertyInfoList { get; set; }

        public bool IsValid
        {
            get
            {
                if (ClassName == null)
                {
                    return false;
                }

                string cs = ClassName.Trim();
                if (!Regex.Match(cs, @"^[A-Za-z]\w*$").Success)
                {
                    return false;
                }

                return true;
            }
        }        
    }
}
