using System;
using System.Collections.Generic;
using System.Text;
using TFSClient = Microsoft.TeamFoundation.Client;
using TFSTracking = Microsoft.TeamFoundation.WorkItemTracking.Client;
using System.Net;
using System.Diagnostics;
using System.Collections;

namespace Fissum.TeamSystem
{
    public sealed class Revision
    {
        TFSTracking.Revision _revision;
        WorkItemObject _wi;

        internal Revision(TFSTracking.Revision revision, WorkItemObject wi)
        {
            _revision = revision;
            
            _wi = wi;
        }

        public string TimeTag
        {
            get
            {
                return _revision.GetTagLine();
            }
        }

        public int Index
        {
            get
            {
                return _revision.Index;
            }
        }
        		

        public int RevisionNumber
        {
            get
            {
                try
                {
                    TFSTracking.Field field = _revision.Fields["System.Rev"];
                    if (field == null)
                    {
                        return -1;
                    }
                    return (int)field.Value;
                }
                catch
                {
                    return -1;
                }
            }

        }

        public DateTime? ChangedDate
        {
            get
            {
                try
                {
                    TFSTracking.Field field = _revision.Fields["System.ChangedDate"];
                    if (field == null)
                    {
                        return null;
                    }
                    return (DateTime)field.Value;
                }
                catch
                {
                    return null;
                }
            }

        }



        internal TFSTracking.Revision TFSRevision
        {
            get
            {
                return _revision;
            }
        }        
    }
}
