using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Configuration;
using Fissum.Core;
using Fissum.TeamSystem;

namespace FissumWebSite.Lib
{
    public static class SessionData
    {
        private const string STR_FissumContext = "FissumContext";

        public static Context FissumContext
        {
            get
            {
                return HttpContext.Current.Session[STR_FissumContext] as Context;
            }
            set
            {
                HttpContext.Current.Session[STR_FissumContext] = value;
            }
        }

        public static TeamFoundationServer CurrentServer
        {
            get
            {
                var context = FissumContext;
                if (context == null)
                {
                    return null;
                }

                var result = context.Servers.FirstOrDefault();

                if (result == null || !result.Connected)
                {
                    return null;
                }

                return result;
            }
        }

        public static bool IsConnectedToTFS
        {
            get
            {
                return CurrentServer != null;
            }
        }

    }
}
