using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using Fissum.TeamSystem;
using Fissum.TeamSystem.Collections;

namespace Fissum.Core.Data
{
    /// <summary>
    /// Event parameter used for the Refreshed event of a WorkItemCollectionSource
    /// </summary>
    public class WorkItemCollectionSourceRefreshedEventArgs : EventArgs
    {
        private WorkItemCollectionResult _result;

        public WorkItemCollectionSourceRefreshedEventArgs(WorkItemCollectionResult result)
        {
            if (result == null)
            {
                throw new ArgumentNullException("result");
            }
            _result = result;
        }

        public WorkItemCollectionResult Result { get { return _result; } }
    }
}
