using System;
using System.Collections.Generic;
using System.Security.Cryptography;
using System.Text;
using Fissum.TeamSystem;


namespace Fissum.Core
{
    public static class CredentialTool
    {     

        static byte[] _aditionalEntropy = { 9, 8, 7, 6, 5, 43, 32, 41 };


        public static string EncryptStringForConfig(string strToEncrypt)
        {
            try
            {
                byte[] byteArray = Encoding.BigEndianUnicode.GetBytes(strToEncrypt);
                byte[] cryptedStr = ProtectedData.Protect(byteArray, _aditionalEntropy, DataProtectionScope.CurrentUser);

                return Convert.ToBase64String(cryptedStr);
            }
            catch
            {
                return null;
            }
        }

        public static string DecryptStringForConfig(string encryptedString)
        {
            try
            {               
                byte[] byteArray = Convert.FromBase64String(encryptedString);
                byte[] decryptedMsg = ProtectedData.Unprotect(byteArray, _aditionalEntropy, DataProtectionScope.CurrentUser);

                string result = Encoding.BigEndianUnicode.GetString(decryptedMsg);
                return result;
            }
            catch
            {
                return null;
            }

        }
    }
}
