using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Fissum.TeamSystem;

namespace Fissum.QuickTasks
{
    public partial class GotoWIForm : Form
    {
        private static GotoWIForm _thisForm = null;

        public GotoWIForm()
        {
            InitializeComponent();            
        }





        public static void ShowForm()
        {
            if (_thisForm == null)
            {
                _thisForm = new GotoWIForm();               
            }
          
             _thisForm.Show();
             _thisForm.Focus();
        }

        private void GotoWIForm_FormClosing(object sender, FormClosingEventArgs e)
        {
            if ((e.CloseReason == CloseReason.ApplicationExitCall) ||
                (e.CloseReason == CloseReason.WindowsShutDown))
            {
                return;
            }

            e.Cancel = true;
            Hide();
        }

        private void Button1_Click(object sender, EventArgs e)
        {
            TeamFoundationServer server = serverComboBox.SelectedItem as TeamFoundationServer;
            if (server == null)
            {
                return;
            }

            if (!server.Connected)
            {
                MessageBox.Show("You're not connected to the server");
                return;
            }

            int id;

            if (!int.TryParse(wiIdTextBox.Text,out id))
            {
                MessageBox.Show("Invalid Id");
                return;
            }
            WorkItem wi = server.FindWorkItem(id);
            if (wi == null)
            {
                MessageBox.Show("Unknown Workitem");
                return;
            }
            WorkItemForm.ShowWorkItem(wi, false);

            Hide();
        }

        private void GotoWIForm_Load(object sender, EventArgs e)
        {
            serverComboBox.DisplayMember = "Uri";
            serverComboBox.DataSource = Fissum.FissumApplication.Context.Servers;
        }

        private void GotoWIForm_Activated(object sender, EventArgs e)
        {
            wiIdTextBox.Focus();
            wiIdTextBox.SelectAll();
        }

        private void OpenQuickGotoButton_Click(object sender, EventArgs e)
        {
            TeamFoundationServer server = serverComboBox.SelectedItem as TeamFoundationServer;
            if (server == null)
            {
                return;
            }

            if (!server.Connected)
            {
                MessageBox.Show("You're not connected to the server");
                return;
            }
            QuickGotoForm.ShowQuickTask(server);
            Hide();
        }
    }
}