using System;
using System.Collections;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Net;
using System.Text;
using Fissum.TeamSystem.Model;
using TFSClient = Microsoft.TeamFoundation.Client;
using TFSTracking = Microsoft.TeamFoundation.WorkItemTracking.Client;
using System.Collections.ObjectModel;

namespace Fissum.TeamSystem
{
    public class FieldConflictItem
    {
        public WorkItemFieldDefinition Definition { get; set; }
        public object LocalValue { get; set; }
        public object ServerValue { get; set; }
        public object MergedValue { get; set; }
        public List<object> AllowedValues { get; set; }
        public FieldConflictResolutionAction Action { get; set; }

        public FieldConflictItem()
        {
            Action = FieldConflictResolutionAction.None;
        }

        public string DefinitionDisplayText
        {
            get
            {
                return Definition.Name;
            }
        }

        public object SelectedValue
        {
            get
            {
                switch (Action)
                {
                    case FieldConflictResolutionAction.None:
                        return null;
                    case FieldConflictResolutionAction.CopyFromServer:
                        return ServerValue;
                    case FieldConflictResolutionAction.KeepLocal:
                        return LocalValue;
                    case FieldConflictResolutionAction.MergedValue:
                        return MergedValue;
                    default:
                        return null;
                }
            }

        }
    }
}
