using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Linq;
using Fissum.TeamSystem;
using Fissum.ToolForms;
using Fissum.Lib;
using Fissum.Core;
using Fissum.TeamSystem.Collections;
using Fissum.Core.Data;

namespace Fissum
{
    public class SelectableWorkItemQueryField
    {
        private WorkItemFieldDefinition _field;
        private bool _selected;

        public SelectableWorkItemQueryField(WorkItemFieldDefinition field)
        {
            _field = field;
            _selected = false;
        }


        public bool Selected
        {
            get
            {
                return _selected;
            }
            set
            {
                if (_selected == value)
                {
                    return;
                }
                _selected = value;
            }
        }

        public string FieldName
        {
            get
            {
                return _field.Name;
            }
        }

        public WorkItemFieldDefinition Field
        {
            get
            {
                return _field;
            }
        }
    }
}
