﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Fissum.Core.Winform.CollectionStyle
{
    public static class CollectionStyleManager
    {
        private static List<CollectionStyleBase> _registeredStyleList = new List<CollectionStyleBase>();


        public static void RegisterStyle(CollectionStyleBase style)
        {
            if (style == null)
            {
                throw new ArgumentNullException();
            }
            _registeredStyleList.Add(style);
        }

        public static void RegisterStyle<T>() where T : CollectionStyleBase, new()
        {
            RegisterStyle(new T());
        }


        public static IList<CollectionStyleBase> RegisteredStyles
        {
            get
            {
                return _registeredStyleList;
            }
        }

    }
}
