﻿using System.Linq;
using Fissum.Core.Configuration;
using System.Collections.Generic;
using Fissum.Core;
using Fissum.TeamSystem;
namespace Fissum.Lib
{


    partial class ConfigurationDataSet
    {
        partial class CustomServersDataTable
        {
        }
    
        partial class WITypeTableDataTable
        {
            static bool IsSelected(WITypeTableRow []rows, string wiName)
            {
                foreach (WITypeTableRow row in rows)
                {
                    if (row.WITypeName == wiName)
                    {
                        return true;
                    }

                }

                return false;

            }
        }
    
        partial class QueryTableDataTable
        {
            static bool IsSelected(QueryTableRow[] rows, string queryName)
            {
                foreach (QueryTableRow row in rows)
                {
                    if (row.QueryName == queryName)
                    {
                        return true;
                    }
                }
                return false;
            }
        }
    
        partial class ProjectTableDataTable
        {
           
           
        }

        static ConfigurationDataSet LoadFromDisk(string path)
        {
            ConfigurationDataSet result;

            try
            {
                result = new ConfigurationDataSet();
                result.ReadXml(path);
            }
            catch
            {
                result = null;
            }

            return result;
        }

        static bool SaveToDisk(ConfigurationDataSet configuration,string path)
        {
            try
            {
                configuration.WriteXml(path);
                return true;
            }
            catch
            {
                return false;
            }
        }


        public CoreConfiguration ExtractCoreConfiguration(bool isDiscovery)
        {
            CoreConfiguration result = new CoreConfiguration() { AllowUI = true, MergeWithTeamExplorerServers = true };

           var serverUriList = (from ConfigurationDataSet.ProjectTableRow row in this.ProjectTable
                                                               group row by row.TFSUri into srvGp
                                                               select srvGp.Key).ToList();

           if (isDiscovery || serverUriList.Count == 0)
           {
               foreach (var url in TeamFoundationServer.GetAvailableServers())
               {
                   ServerInfo srvInfo = new ServerInfo { ServerAddress = url.ToString(), AutoConnect = true };

                   var customCredentials = (from cred in this.SrvCredential
                                            where cred.TFSUri == url.ToString()
                                            select cred).FirstOrDefault();

                   if (customCredentials != null)
                   {                       
                       srvInfo.EncryptedLogin = customCredentials.Login;
                       srvInfo.EncryptedPassword = customCredentials.Password;
                       
                   }                   
                   result.ServerList.Add(srvInfo);
               }
           }
           else
           {
               foreach (var srvUrl in serverUriList)
               {
                   ServerInfo srvInfo = new ServerInfo { ServerAddress = srvUrl, AutoConnect = true };

                   var customCredentials = (from cred in this.SrvCredential
                                            where cred.TFSUri == srvUrl
                                            select cred).FirstOrDefault();

                   if (customCredentials != null)
                   {

                       srvInfo.EncryptedLogin = customCredentials.Login;
                       srvInfo.EncryptedPassword = customCredentials.Password;
                   }
                   result.ServerList.Add(srvInfo);
               }
           }
            
            return result;
        }
    }
}
