using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using Fissum.TeamSystem;
using Fissum.Lib;

namespace Fissum
{
    internal class WorkItemObjectToolScriptMenuItem : ToolStripMenuItem
    {
        private WorkItem _workItem;


        /// <summary>
        /// Initializes a new instance of the <see cref="T:WorkItemObjectToolScriptMenuItem"/> class.
        /// </summary>
        /// <param name="workItem">The work item.</param>
        public WorkItemObjectToolScriptMenuItem(WorkItem workItem)
            : base()
        {
            _workItem = workItem;
            Text = String.Format("{1} - {2}", _workItem.WIType.Name, _workItem.Id, _workItem.Title); 
            Image = Tool.GetIconFromType(_workItem.WIType,false);
        }

        /// <summary>
        /// Raises the <see cref="E:System.Windows.Forms.ToolStripItem.Click"></see> event.
        /// </summary>
        /// <param name="e">An <see cref="T:System.EventArgs"></see> that contains the event data.</param>
        protected override void OnClick(EventArgs e)
        {
            base.OnClick(e);

            WorkItemForm.ShowWorkItem(_workItem,true);
        }
    }
}
