﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Configuration;
using Fissum.Core;
using Fissum.TeamSystem;

namespace FissumWebSite.Lib
{
    public static class SiteConfig
    {


        public static string TFSURL
        {
            get
            {
                return ConfigurationManager.AppSettings["TFSURL"];
            }
        }


        private static Context AuthenticateCore(string login, string password)
        {
            var configuration = new Fissum.Core.Configuration.CoreConfiguration { AllowUI = false };

            var newServerInfo = new ServerInfo { ServerAddress = Lib.SiteConfig.TFSURL, AutoConnect = true };       

            if (!string.IsNullOrEmpty(login))
            {
                newServerInfo.SetLogin(login);
                newServerInfo.SetPassword(password);
            }

            configuration.ServerList.Add(newServerInfo);

            var context = new Context(configuration);
            context.Connect();

            return context;
        }


        public static Context Authenticate(string login, string password)
        {
            if (String.IsNullOrEmpty(login))
            {
                throw new ArgumentNullException("login");
            }

            if (String.IsNullOrEmpty(password))
            {
                throw new ArgumentNullException("password");
            }

            return AuthenticateCore(login, password);
        }

        public static Context Authenticate()
        {
            return AuthenticateCore(null, null);
        }
    }
}
