﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Fissum.Core.Data;

namespace Fissum.Core.Winform.CollectionStyle
{
    public abstract class CollectionStyleBase
    {
        private string _styleName;

        public string StyleName
        {
            get
            {
                return _styleName;
            }
            set
            {
                if (_styleName == value)
                {
                    return;
                }
                _styleName = value;
            }
        }

        public CollectionStyleBase(string styleName)
        {
            if (String.IsNullOrEmpty(styleName))
            {
                throw new ArgumentNullException("styleName");
            }

            _styleName = styleName;
        }

        public abstract IWorkItemListBackgroundPainter GetBackgroundPrinter();
        public abstract WorkItemCollectionSource GetWorkItemCollectionSource(WorkItemCollectionSource source);
    }
}
