using System;
using System.Collections.Generic;
using System.Text;
using TFSClient = Microsoft.TeamFoundation.Client;
using TFSTracking = Microsoft.TeamFoundation.WorkItemTracking.Client;
using System.Net;
using System.Diagnostics;
using System.Collections;
using System.Runtime.Serialization;

namespace Fissum.TeamSystem
{
    public sealed class WorkItemQueryUpdatedEventArgs : EventArgs
    {
        WorkItemQuery _query;

        /// <summary>
        /// Initializes a new instance of the <see cref="T:WorkItemQueryUpdatedArgs"/> class.
        /// </summary>
        /// <param name="query">The query.</param>
        /// <param name="removedWiList">The removed wi list.</param>
        /// <param name="insertedWiList">The inserted wi list.</param>
        public WorkItemQueryUpdatedEventArgs(
            WorkItemQuery query)
            : base()
        {
            _query = query;        
        }

        /// <summary>
        /// Gets or sets the query.
        /// </summary>
        /// <value>The query.</value>
        public WorkItemQuery Query
        {
            get { return _query; }           
        }

    }
}
