using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Fissum.Core.Linq
{
    /// <summary>
    /// Attribute used to associate a work item type to its provider
    /// </summary>
    [AttributeUsage(AttributeTargets.Class, AllowMultiple = false)]
    public class CreatorProviderAttribute : Attribute
    {
        private Type _creator;

        public CreatorProviderAttribute(Type creator)
        {
            if (creator == null)
            {
                throw new ArgumentException("creator");
            }
            _creator = creator;
        }

        public Type CreatorType
        {
            get
            {
                return _creator;
            }
        }
    }
}
