using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;
using System.Data;
using System.Web;
using Fissum.owssupp.interop;
using System.Diagnostics;

namespace Fissum.TeamSystem
{
    public class DocumentList
    {
        #region Fields
        private string _title;
        private Project _project;
        private DocumentFolder _rootFolder;
        private string _rootFolderName;
        private Guid _id;
        #endregion

        #region Properties


        /// <summary>
        /// Root folder name of the document
        /// </summary>
        public string RootFolderName
        {
            get
            {
                return _rootFolderName;
            }
        }
        /// <summary>
        /// Document list title
        /// </summary>
        public string Title
        {
            get
            {
                return _title;
            }
        }

        public string UncName
        {
            get
            {
                return _project.ProjectSiteUnc + '\\' + _rootFolderName;
            }

        }

        public string UrlName
        {
            get
            {
                return _project.ProjectSiteUrl + '/' + _rootFolderName;
            }

        }
        #endregion

        #region Contructors
        internal DocumentList(
            Project project,
            WSList.Lists wsList,
            string title,
            string rootFolderName,
            Guid listId)
        {
            _project = project;
            _title = title;

            int p = rootFolderName.LastIndexOf('/');
            if (p != -1)
            {
                rootFolderName = rootFolderName.Substring(p + 1);
            }
            _rootFolderName = rootFolderName;
            _id = listId;
            _rootFolder = new DocumentFolder(this, wsList, String.Empty);
        }


        public DocumentFolder RootFolder
        {
            get
            {
                return _rootFolder;
            }
        }
        #endregion
    }
}
