using System;
using System.Collections.Generic;
using System.Text;
using Fissum.TeamSystem;
using System.Drawing;
using System.Security.Cryptography;
using System.Collections;
using Fissum.Core;
using System.Windows.Forms;


namespace Fissum.Lib
{
    internal static class Tool
    {

        /// <summary>
        /// Gets the type of the icon from.
        /// </summary>
        /// <param name="workItemType">Type of the work item.</param>
        /// <param name="isNew">if set to <c>true</c> [is new].</param>
        /// <returns></returns>
        static public Image GetIconFromType(WorkItemType workItemType, bool isNew)
        {
            switch (workItemType.Name)
            {
                case "Task":
                    if (isNew)
                    {
                        return GlobalRessources.WI1616IMGNEW;
                    }
                    else
                    {
                        return GlobalRessources.WI1616IMG;
                    }

                case "Bug":
                    if (isNew)
                    {
                        return GlobalRessources.WI1616IMGNEW_RED;
                    }
                    else
                    {
                        return GlobalRessources.WI1616IMG_RED;
                    }

                case "Risk":
                    if (isNew)
                    {
                        return GlobalRessources.WI1616IMGNEW_ORANGE;
                    }
                    else
                    {
                        return GlobalRessources.WI1616IMG_Orange;
                    }

                case "Scenario":
                    if (isNew)
                    {
                        return GlobalRessources.WI1616IMGNEW_GREEN;
                    }
                    else
                    {
                        return GlobalRessources.WI1616IMG_GREEN;
                    }

                default:
                    if (isNew)
                    {
                        return GlobalRessources.WI1616IMGNEW;
                    }
                    else
                    {
                        return GlobalRessources.WI1616IMG;
                    }
            }
        }


    }
}
